#  Copyright (c) 1993 The Regents of the University of California.
#  Copyright (c) 1994-1996 Sun Microsystems, Inc.
#  See the file "license.terms" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#

=head1 NAME

Tk::exit - End the application

=for category Binding Events and Callbacks

=head1 SYNOPSIS

    use Tk qw(exit);
    ...
    B<exit>?(I<returnCode>)?;

=head1 DESCRIPTION

Terminate the process, returning I<returnCode> to the
system as the exit status.
If I<returnCode> isn't specified then it defaults
to 0.

If calling C<exit> from code invoked via a Tk callback then
this Tk version of C<exit> cleans up more reliably than using
the perl C<exit>.

=head1 CAVEATS

Using C<exit> from a forked process will terminate both the child
process B<and> the parent process. As C<Tk::exit> is imported by
default one should use C<CORE::exit> in the forked process instead.

=head1 KEYWORDS

exit, process

=cut

